type: entities
entities:
  - entity: binary_sensor.petfeeder_connection_state
    name: Connectivity
    card_mod:
      style: |
        :host {
          --card-mod-icon-color: 
            {%- set sensor = states('binary_sensor.petfeeder_connection_state') %}
            {%- if sensor == 'on' %} red;
            {%- elif sensor == 'off' %} green;
            {%- else %} gray;
            {%- endif %}
        }
  - entity: sensor.petfeeder_error_state_overwritten
    name: Feeder state
    card_mod:
      style: |
        :host {
          --card-mod-icon-color: 
            {%- set sensor = states('sensor.petfeeder_error_state_overwritten') %}
            {%- if sensor == 'Fail to feed!' %} red;
            {%- elif sensor == 'Operational' %} green;
            {%- else %} lightgray;
            {%- endif %}
        }
  - entity: sensor.petfeeder_food_weight_overwritten
    name: Food Weight (grams)
    card_mod:
      style: |
        :host {
          --card-mod-icon-color: 
            {%- set sensor = states('sensor.petfeeder_food_weight_overwritten') | float(default=nan) %}
            {%- if sensor == nan %} lightgray;
            {%- elif sensor >= 0 and sensor < 10 %} tomato;
            {%- elif sensor >= 10 and sensor < 20 %} orange;
            {%- elif sensor >= 20 and sensor < 50 %} green;
            {%- elif sensor >= 50 %} olive;
            {%- endif %}
        }
  - type: conditional
    conditions:
      - entity: binary_sensor.petfeeder_connection_state
        state: 'off'
    row:
      entity: button.petfeeder_feed_button
      name: Feed now
  - type: conditional
    conditions:
      - entity: binary_sensor.petfeeder_connection_state
        state: 'off'
    row:
      entity: button.petfeeder_reboot_button
      name: Reboot feeder
show_header_toggle: false
title: YoFeed
state_color: false
